ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceGeographicCode

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.common.model.AbstractTreeNode<N>
      - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceBaseCodeBean<VoiceGeographicCode>
        - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceGeographicCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Idable, ListItem, Node<VoiceGeographicCode>, TreeNode<VoiceGeographicCode>

      public class VoiceGeographicCode
      extends VoiceBaseCodeBean<VoiceGeographicCode>

  Модель географического кода, представляющего собой код и направление, с привязкой к определенному оператору.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

      `children, parentId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceGeographicCode()`
    `VoiceGeographicCode(int id, java.lang.String title)` КОнструктор, который устанавливает поле title (НЕ code!!!)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(VoiceGeographicCode child)` Добавление дочернего элемента для данного географического кода при построении дерева кодов.
    `int` | `getOperatorId()`
    `int` | `getStartLevel()` Получение начального уровня глубины прохождения дерева кодов при уточнении направления.
    `int` | `getStopLevel()` Получение конечного уровня глубины прохождения дерева кодов при уточнении направления.
    `void` | `setOperatorId(int operatorId)`
    `void` | `setStartLevel(int startLevel)` Установка начального уровня глубины прохождения дерева кодов при уточнении направления.
    `void` | `setStopLevel(int stopLevel)` Установка конечного уровня глубины прохождения дерева кодов при уточнении направления.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceBaseCodeBean

      `clone, getCode, getDateFrom, getDateTo, getDestinationId, getDestinationTitle, getLevel, setCode, setDateFrom, setDateTo, setDestinationId, setDestinationTitle, setLevel`

    - ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

      `getChildren, getParentId, setChildren, setParentId, toList`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### VoiceGeographicCode

          public VoiceGeographicCode()

    - #### VoiceGeographicCode

          public VoiceGeographicCode(int id,
                                     java.lang.String title)

      КОнструктор, который устанавливает поле title (НЕ code!!!) Нужно в клиенте для выпадающего списка
      Parameters:
        `id` - код геокода
        `title` - название.

  - ### Method Detail

    - #### addChild

          public void addChild(VoiceGeographicCode child)

      Добавление дочернего элемента для данного географического кода при построении дерева кодов. Например, если текущий географический код имеет код "734" (Башкортостан), то дочерним для него будет являться код "7347" (Уфа) или "73473" (Стерлитамак).
      Parameters:
        `child` - дочерний географический код.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IdTitle`

    - #### getStartLevel

          public int getStartLevel()

      Получение начального уровня глубины прохождения дерева кодов при уточнении направления.
      Returns:
        начальный уровень глубины

    - #### setStartLevel

          public void setStartLevel(int startLevel)

      Установка начального уровня глубины прохождения дерева кодов при уточнении направления.
      Parameters:
        `startLevel` - начальный уровень глубины.

    - #### getStopLevel

          public int getStopLevel()

      Получение конечного уровня глубины прохождения дерева кодов при уточнении направления.
      Returns:
        конечный уровень глубины

    - #### setStopLevel

          public void setStopLevel(int stopLevel)

      Установка конечного уровня глубины прохождения дерева кодов при уточнении направления.
      Parameters:
        `stopLevel` - конечный уровень глубины

    - #### getOperatorId

          public int getOperatorId()

    - #### setOperatorId

          public void setOperatorId(int operatorId)